/*! HTML5 Boilerplate v7.3.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Browser Upgrade Prompt
   ========================================================================== */

.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
   html{
    box-sizing: border-box;
  }
  *,*::before,*::after{
    box-sizing: inherit;
  }
  
  body{
    background-color: #ffffff;
    font-family: 'Open Sans', sans-serif;
    
  }
  /**Globales**/
  .contenedor {
    width: 98%;
    margin:0 auto;
  }
  @media only screen and  (min-width:480px){
    .contenedor {
      width: 95%;
    }
  }
  @media only screen and  (min-width:768px){
    .contenedor {
      width: 90%;
    }
  }

  @media only screen and  (min-width:992px){
    .contenedor {
      width: 90%;
    }
  }

  .seccion{
    padding: 30px 0;
  }
  .seccion p{
    font-size: 1.2em;
    text-align: center;
  }
  h2{
    font-family: 'Oswald', sans-serif;
    font-size: 2.4em;
    text-transform: uppercase;
    text-align: center;
  }
  h2::after{
    content: '';
    margin: 0 auto;
    background-image: url(../img/separador.png);
    height: 30px;
    width: 100px;
    display: block;
  }
  h3{
    font-size: 1.8em;
    font-family: 'PT Sans', sans-serif;
    margin: 0;
  }
  /** Header **/
  div.hero{
    background-image: url(../img/encabezado2.jpg);
    height: 100vh;
    background-position: top center;
    background-size: cover;
    
  }
  div.contenido-header{
    padding-top: 40%;
  }
  @media only screen and (min-width:768px){
    div.contenido-header{
      padding-top: 10%;
    }
  }
  nav.redes-sociales{
    padding-top: 10px;
    text-align: center;
  }
  nav.redes-sociales a{
    color: #ffffff;
    font-size: 2em;
    margin-right: 20px;
  }
  nav.redes-sociales a:last-child{
    margin-top: 0;
  }
  
  div.informacion-evento{
    text-align: center;
    color: #ffffff;
    text-shadow: 1px 1px 3px black;
    

  }
  div.informacion-evento h1 p{
    font-size: 1.2em;
  }
  
  @media only screen and (min-width: 768px){
    div.informacion-evento{
      width: 70%;
      margin: 0 auto;
      margin-top: 50px;
      font-size: 2em;
    }
  }
  
  div.informacion-evento p {
    margin: 0;
    display: inline;
    font-size: 20px;
    text-transform: uppercase;
    

  }
  div.informacion-evento p i{
    color: #5d18fe;
    font-size: 1rem;
    padding: 5px;  
  }
  @media only screen and (min-width: 768px){
  div.informacion-evento p i{
    color: #5d18fe;
    font-size: 2rem;
    padding: 5px;  
  }
}
  p.fecha{
    float: left;
  }
  p.slogan{
  text-transform: none !important;
  }
  p.slogan span {
    font-weight: bold;
  }

  p.ciudad{
    float: right;
    text-align: right;
  }
  h1.nombre-sitio{
    font-size: 5.9vw;
    text-transform: uppercase ;
    font-family: 'PT Sans', sans-serif;
  }
  @media only screen and (min-width:768px){
    h1.nombre-sitio{
      font-size: 11.5vw;
      margin: 0;
      line-height: 1;
    }
  }

  div.barra {
    background: #4d4d4d;
    padding: 20px 0;
    position:fixed;
    z-index:1000;
    top:0;
    max-width:100%;
    width:100%;
    box-shadow:0px 4px 3px rgba(0,0,0,.5);
  }
  div.logo{
    width: 67%;
    float: left;
  }
  div.logo img{
    width: 100%;
  }
  div.logo i{
    scale: 1.5;
  }
  @media only screen and  (min-width:768px){
    div.logo img{
      width: 70%;
    }
    div.logo{
      width: 30%;
    }
    div.logo i{
      width: 7%;
      color: black;
      scale: 2.5;

    }
  }
  /**
  nav principal**/
  nav.navegacion-principal{
    display: none;
  }
  nav.navegacion-principal a{
    font-family: 'Oswald', sans-serif;
    color: white;
    font-size: 1.3em;
    text-transform: uppercase;
    text-decoration: none;
    transition: all .3s ease;
  }
  nav.navegacion-principal a:hover:last-child{
  color: #000;
  }
  nav.navegacion-principal a:hover{
  background-color: #340029 ;
  
  }
  nav.navegacion-principal a:last-child{
    border: 2px solid #340029;
    color: #340029;
  }
  @media only screen and (min-width: 768px){
    nav.navegacion-principal{
      width: 67%;
      float: right;
      text-align: right;
      display: block;
    }
    nav.navegacion-principal a{
      margin-right: 10px;
      padding: 10px 10px;
      display: inline-block;
    }
  }
  /**Menu mobil**/
      div.menu-movil{
       width: 60px;
       display: block;
       float: right;
       text-align: right;
       margin-top: 12px; 
      }
      @media only screen and (min-width: 768px){
        div.menu-movil{
          display: none;
        }
      }
      div.menu-movil span{
        height: 8px;
        margin-bottom: 6px;
        background-color: white;
        display: block;
      }
      div.menu-movil{
        cursor: pointer;
      }
  /**Eventos**/
  section.programa{
    position: relative;
  }
  div.contenedor-video{
    max-width: 100%;
    overflow-x: hidden;
  }
  
  div.contenido-programa{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;

  }
  div.programa-evento{
    background-color: rgba(77, 77, 77, 0.8);
    padding: 15px;
    margin-top: 80px;
    color: white;
  }
  @media only screen and (min-width: 768px){
  div.programa-evento{
    width: 70%;
  }
  }
  @media only screen and (min-width: 992px){
    div.programa-evento{
      width: 40%;
    }
    }

    nav.menu-programa{
      width: 100%;
      border-bottom: 2px solid #340029 ; 
      padding-bottom: 10px;
    }
    nav.menu-programa a{
      display: block;
      text-align: center;
      color: white;
      text-decoration: none;
      font-family: 'Oswald', sans-serif;
      margin-bottom: 10px;
      font-size: 1.4em;
    }
    @media only screen and (min-width: 768px){
      nav.menu-programa{
        display: table;
      }
      nav.menu-programa a{
        display: table-cell;
        
      }
    }
    nav.menu-programa a i,
    div.detalle-evento p i{
      color: #340029;
      font-size: 1.4em;
      margin-right: 10px;
    }
    div.detalle-evento{
      margin-top: 20px;
      border-bottom: 1px solid #340029;
      padding: 0 20px ;
    }

    div.detalle-evento p{
      margin-bottom: 20px;
      font-size: 20px;
    }
    .button{
      
      background-color: #353535;
      padding: 10px 40px;
      color: #ffffff;
      text-transform: uppercase;
      font-weight: bold;
      font-family: 'Oswald', sans-serif;
      text-decoration:none;
      font-size: 1em;
      margin-top: 20px;
      display: inline-block;
      transition: all .3s ease;
    }
    .float-right{
      float: right;
    }
    .button:hover{
      background-color: rgb(142, 59, 250);
    }
/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden {
  display: none !important;
}

/*
* Hide only visually, but have it available for screen readers:
* https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
*
* 1. For long content, line feeds are not interpreted as spaces and small width
*    causes content to wrap 1 word per line:
*    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
*/

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
* Extends the .sr-only class to allow the element
* to be focusable when navigated to via the keyboard:
* https://www.drupal.org/node/897638
*/

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
* Hide visually and from screen readers, but maintain layout
*/

.invisible {
  visibility: hidden;
}

/*
* Clearfix: contain floats
*
* For modern browsers
* 1. The space content is one way to avoid an Opera bug when the
*    `contenteditable` attribute is included anywhere else in the document.
*    Otherwise it causes space to appear at the top and bottom of elements
*    that receive the `clearfix` class.
* 2. The use of `table` rather than `block` is only necessary if using
*    `:before` to contain the top-margins of child elements.
*/

.clearfix:before,
.clearfix:after {
  content: " ";
  /* 1 */
  display: table;
  /* 2 */
}

.clearfix:after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *:before,
  *:after {
    background: transparent !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }
  a,
  a:visited {
    text-decoration: underline;
  }
  a[href]:after {
    content: " (" attr(href) ")";
  }
  abbr[title]:after {
    content: " (" attr(title) ")";
  }
  /*
     * Don't show links that are fragment identifiers,
     * or use the `javascript:` pseudo protocol
     */
  a[href^="#"]:after,
  a[href^="javascript:"]:after {
    content: "";
  }
  pre {
    white-space: pre-wrap !important;
  }
  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }
  /*
     * Printing Tables:
     * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
     */
  thead {
    display: table-header-group;
  }
  tr,
  img {
    page-break-inside: avoid;
  }
  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
    font-family: 'Open Sans', sans-serif;

  }
  h2,
  h3 {
    page-break-after: avoid;
  }
}
/*===========================================
  AUTOR CUSTOM STYLES
  ===========================================*/

